THEOplayer Web SDK
    Preparing search index...

    Interface TokenBasedTitaniumDRMConfiguration

    Describes the configuration of the Titanium DRM integration with token-based authentication.

    interface TokenBasedTitaniumDRMConfiguration {
        accountName?: undefined;
        aes128?: AES128KeySystemConfiguration;
        authToken: string;
        clearkey?: ClearkeyKeySystemConfiguration;
        customerName?: undefined;
        fairplay?: FairPlayKeySystemConfiguration;
        friendlyName?: undefined;
        integration: "titanium";
        integrationParameters?: { [parameterName: string]: any };
        playready?: PlayReadyKeySystemConfiguration;
        portalId?: undefined;
        preferredKeySystems?: (KeySystemId | string & {})[];
        queryParameters?: { [key: string]: any };
        useOipfDrmAgent?: boolean;
        version?: "2" | "3";
        widevine?: KeySystemConfiguration;
    }

    Hierarchy (View Summary)

    Index
    accountName?: undefined

    The account name.

    The configuration of the AES key system.

    authToken: string

    The authentication token.


    - This is a JSON web token provided by the Titanium Secure Token Server.

    The configuration of the ClearKey key system.

    customerName?: undefined

    The customer name.

    The configuration of the FairPlay key system.

    friendlyName?: undefined

    The friendly name of this customer.

    integration: "titanium"

    The identifier of the DRM integration.

    integrationParameters?: { [parameterName: string]: any }

    An object of key/value pairs which can be used to pass in specific parameters related to a source into a ContentProtectionIntegration.

    The configuration of the PlayReady key system.

    portalId?: undefined

    The identifier of the portal.

    preferredKeySystems?: (KeySystemId | string & {})[]

    An ordered list of URNs of key systems as specified by https://dashif.org/identifiers/content_protection/, or one of the following identifiers:

    "widevine" alias for "urn:uuid:edef8ba9-79d6-4ace-a3c8-27dcd51d21ed" "fairplay" alias for "urn:uuid:94ce86fb-07bb-4b43-adb8-93d2fa968ca2" "playready" alias for "urn:uuid:9a04f079-9840-4286-ab92-e65be0885f95"

    When set, the first key system in this list which is supported on the given platform will be used for playback.

    When omitted or empty, the player decides:

    • For HLS, the configured key system that supports the most of the stream's codecs is used (for example, on Windows Edge, PlayReady rather than Widevine for Dolby Vision content). When several key systems support the same codecs, the order ['widevine', 'playready', 'fairplay'] decides.
    • For other streaming protocols, the key systems are tried in the order ['widevine', 'playready', 'fairplay'].
    queryParameters?: { [key: string]: any }

    Record of default query parameters for the license acquisition request. Each entry contains a query parameter name with associated value.


    - These parameters will be merged with any query parameters specified in the individual key system configurations, with the latter taking precedence.

    useOipfDrmAgent?: boolean

    A flag that affects HbbTV enabled devices and indicates whether the OIPF DRM agent should be used for handling DRM protection, even when EME is available.

    Default value is false.

    version?: "2" | "3"

    The version of Titanium, represented by a value from the following list:
    - '2'
    - '3'

    Only version 2 and 3 are supported.

    '2'.

    The configuration of the Widevine key system.